/*Example 2_6*/
PROC PLAN seed=091016;
FACTORS rand=100 random;     /*产生变量rand，其值为随机排列的数值1-100 */
OUTPUT out=outa;             /*将随机排列的100个数值输出到数据集outa*/
DATA outb;                    /*建立空白数据集outb*/
SET outa;                     /*利用set语句将数据集outa中的数据导入outb*/
IF rand<=25 THEN group='空白组'; 
ELSE IF rand<=50 THEN group='A药组'; 
ELSE IF rand<=75 THEN group='B药组';
ELSE  group='A+B药';
/*产生变量group，根据随机数的值分别指定不同的group值，即分入不同组别*/
num=_n_;
/*产生变量num，其值等于数据的顺序号，也即研究对象的1-100的编号*/
PROC PRINT;              /*输出随机数字rand、分组group及研究对象编号num */
RUN;
